## org.hibernate.internal.jaxb.mapping.orm
Class JaxbUniqueConstraint

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbUniqueConstraint

    public class JaxbUniqueConstraint

extends Object

Field Summary
`protected List<String>` `columnName`
`protected String` `name`

Constructor Summary
`JaxbUniqueConstraint()`

Method Summary
`List<String>` `getColumnName()` Gets the value of the columnName property.
`String` `getName()` Gets the value of the name property.
`void` `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnName

    protected List<String> columnName

### name

    protected String name

Constructor Detail

### JaxbUniqueConstraint

    public JaxbUniqueConstraint()

Method Detail

### getColumnName

    public List<String> getColumnName()

  Gets the value of the columnName property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the columnName property.

  For example, to add a new item, do as follows:

          getColumnName().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.